Up

# NSGarbageCollector class documentation

### Authors

Richard Frith-Macdonald (`rfm@gnu.org`)

Copyright: (C) 2009 Free Software Foundation, Inc.

# Software documentation for the NSGarbageCollector class

## NSGarbageCollector : NSObject

> Declared in:
>   Foundation/NSGarbageCollector.h

Availability: MacOS-X 10.5.0
Description forthcoming.
Method summary

- +defaultCollector
- -collectExhaustively
- -collectIfNeeded
- -disable
- -disableCollectorForPointer:
- -enable
- -enableCollectorForPointer:
- -isCollecting
- -isEnabled
- -zone

### defaultCollector

+ (id) defaultCollector;
Availability: MacOS-X 10.5.0
Obsolete... returns `nil` because garbage collection no longer exists.

### collectExhaustively

- (void) collectExhaustively;
Availability: MacOS-X 10.5.0
Obsolete... does nothing because garbage collection no longer exists.

### collectIfNeeded

- (void) collectIfNeeded;
Availability: MacOS-X 10.5.0
Obsolete... does nothing because garbage collection no longer exists.

### disable

- (void) disable;
Availability: MacOS-X 10.5.0
Obsolete... does nothing because garbage collection no longer exists.

### disableCollectorForPointer:

- (void) disableCollectorForPointer: (void*)ptr;
Availability: MacOS-X 10.5.0
Obsolete... does nothing because garbage collection no longer exists.

### enable

- (void) enable;
Availability: MacOS-X 10.5.0
Obsolete... does nothing because garbage collection no longer exists.

### enableCollectorForPointer:

- (void) enableCollectorForPointer: (void*)ptr;
Availability: MacOS-X 10.5.0
Obsolete... does nothing because garbage collection no longer exists.

### isCollecting

- (BOOL) isCollecting;
Availability: MacOS-X 10.5.0
Obsolete... returns `NO` because garbage collection no longer exists.

### isEnabled

- (BOOL) isEnabled;
Availability: MacOS-X 10.5.0
Obsolete... returns `NO` because garbage collection no longer exists.

### zone

- (NSZone*) zone;
Availability: MacOS-X 10.5.0
Returns the default zone.

Up